
<details>
<summary> <%= ':boom: ' unless background_migration.success? %><h4>Background Migration: <%= background_migration.name %></h4></summary>

% if background_migration.execution_details.present?
<details>
<summary>Sampled <%= background_migration.batches.count %> batches. Estimated Time to complete: <%= background_migration.time_to_complete %></summary>

% background_migration.estimation_info.each do |info|
  - <%= info %>
% end

  Time estimation is conservative and based on sampling production data in a test environment. It represents the max time that migration could take. The actual time may differ from this estimation.
</details>

<small>_Consider changing max_batch_size and interval if this estimate is unacceptable._</small>

% else
Sampled <%= background_migration.batches.count %> batches.
% end

% if background_migration.queries.any?
<%= render_pgss_table(background_migration.queries) %>
% end

<%= render_background_migration_batch_histogram(background_migration) %>
<%= render_background_migration_query_histogram(background_migration) %>
</details>